<?php header('Content-Type: text/css; charset=utf-8'); ?>
@charset "UTF-8";


/*
CSS Name: NHWS CSS Accordion
Author: ぴー＠西東京
Author URI: https://nhws.localinfo.jp/
*/


<?php
if( phpversion() >= "4.1.0" ){ // PHP4.1.0以降対応
  extract( $_GET );
}
$delaytime = intval( htmlspecialchars( $delay ) ); 
$titlebgcolor = '#' . htmlspecialchars( $tbgc );
if( $delaytime<5 || $delaytime>50 ){
  $delaytime = 1.5;
}else{
  $delaytime = $delaytime/10;
}
if( !is_color_code( $titlebgcolor ) ){
  $titlebgcolor = "#eeeeee";
}
function is_color_code( $color ){
  if( preg_match( "/^#([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/", $color ) ){
    return true;
  }else{
    return false;
  }
}
?>


.ac-toggle { display: none; }
.ac-title {
	display: block;
	padding-right: 16px;
	background-color: <?php echo $titlebgcolor; ?>;
}
.ac-title:hover {
	cursor: pointer;
	opacity: 0.7;
}
.ac-title::before {		/*タイトル横の矢印*/
	content: "";
	width: 6px;
	height: 6px;
	border-top: 2px solid;
	border-right: 2px solid;
	position: absolute;
	top: calc(50% - 3px);
	right: 8px;
	transform: rotate(135deg);
	transition: <?php echo $delaytime; ?>s;
}
.ac-title,
.ac-content {
	backface-visibility: hidden;
	transform: translateZ(0);
	transition: <?php echo $delaytime; ?>s;
}
.ac-content {
	max-height: 0;
	margin-bottom: 10px;
	opacity: 0;
	overflow: hidden;
}
.ac-toggle:checked + .ac-title + .ac-content {
	max-height: var(--ac-max-height, 500px);
	opacity: 1;
	transition: <?php echo $delaytime; ?>s;
}
.ac-toggle:checked + .ac-title::before {
	transform: rotate(-45deg) !important;
}

/* 管理者用の設定ページ */

.ac-admin-sample td {
	vertical-align: top;
	width: 30%;
}

.ac-admin-bar {
	vertical-align: middle;
	cursor: pointer;
}
