/*
Script Name: NHWS CSS Accordion
Author: ぴー＠西東京
Author URI: https://nhws.localinfo.jp/
*/
window.addEventListener('load', () => {
  setAccordionScrollHeight();
  setAddEvent2RadioBtn();
});
window.addEventListener('orientationchange', () => {
  setTimeout(() => {
    setAccordionScrollHeight();
  }, 100);
});
window.addEventListener('resize', () => {
  setAccordionScrollHeight();
});
const setAccordionScrollHeight = () => {
  const content = document.querySelectorAll(".ac-content");
  content.forEach((elm, index) => {
    const height = elm.scrollHeight;
    if (height > 40) {
      elm.style.setProperty("--ac-max-height", height*1.1 + "px");
    }
  });
};
const setAddEvent2RadioBtn = () => {
  const radioBtns = document.querySelectorAll(".ac-radio");
  radioBtns.forEach(radioBtn => {
    let label = document.querySelector('label[for="' + radioBtn.id + '"]');
    if (label) {
      label.addEventListener("mouseup", () => {
        if (radioBtn.checked) {
          setTimeout(() => {
            radioBtn.checked = false;
          }, 100);
        }
      });
    }
  });
};